.TH BAMRESET 1 "July 2013" BIOBAMBAM
.SH NAME
bamreset - reset BAM file to unaligned state
.SH SYNOPSIS
.PP
.B bamreset
[options]
.SH DESCRIPTION
bamreset reads a BAM file from standard input, transforms it to a pre
aligned state and writes the resulting data to standard output as a BAM file.
.PP
Resetting the file involves the following actions:
.IP
Remove all SQ lines from the header.
.IP
Set the sorting order to unknown
.IP
Drop all non primary alignments
.IP
Remove all auxiliary fields
.IP
Mark all reads as unmapped and erase the mapping coordinates and template length fields
.IP
Move all reads to the forward direction by applying reverse complements as
necessary such that afterwards no reverse complement flags are set.
.PP
The following key=value pairs can be given:
.PP
.B level=<-1|0|1|9|11>:
set compression level of the output BAM file. Valid
values are
.IP -1:
zlib/gzip default compression level
.IP 0:
uncompressed
.IP 1:
zlib/gzip level 1 (fast) compression
.IP 9:
zlib/gzip level 9 (best) compression
.P
If libmaus has been compiled with support for igzip (see
https://software.intel.com/en-us/articles/igzip-a-high-performance-deflate-compressor-with-optimizations-for-genomic-data)
then an additional valid value is
.IP 11:
igzip compression
.PP
.B verbose=<1>:
Valid values are
.IP 1:
print progress report on standard error
.IP 0:
do not print progress report
.PP
.B tmpfile=<filename>: 
prefix for temporary files. By default the temporary files are created in the current directory
.PP
.B md5=<0|1>:
md5 checksum creation for output file. Valid values are
.IP 0:
do not compute checksum. This is the default.
.IP 1:
compute checksum. If the md5filename key is set, then the checksum is
written to the given file. If md5filename is unset, then no checksum will be computed.
.PP
.B md5filename
file name for md5 checksum if md5=1.
.PP
.B index=<0|1>:
compute BAM index for output file. Valid values are
.IP 0:
do not compute BAM index. This is the default.
.IP 1:
compute BAM index. If the indexfilename key is set, then the BAM index is
written to the given file. If indexfilename is unset, then no BAM index will be computed.
.PP
.B indexfilename
file name for BAM index if index=1.
.PP
.B resetheadertext
file name for replacement SAM header. By default the header of
the input SAM/BAM/CRAM file is filtered.
.PP
.B exclude=<SECONDARY,SUPPLEMENTARY>:
Do not include reads in the output that have any of the given flags set. The
flags are given separated by commas. Valid flags are:
.IP PAIRED:
read was paired in sequencing
.IP PROPER_PAIR:
read has been mapped as part of a proper pair
.IP UNMAP:
read was not mapped
.IP MUNMAP:
mate of read was not mapped
.IP REVERSE:
read was mapped to the reverse strand
.IP MREVERSE:
mate of read was mapped to the reverse strand
.IP READ1:
read was first read of a pair during sequencing
.IP READ2:
read was second read of a pair during sequencing
.IP SECONDARY:
alignment is secondary, i.e. an alternative mapping to the primary alignment in the same file
.IP QCFAIL:
read as marked as having failed quality control
.IP DUP:
read is marked as a duplicate of another read in the same file (see bammarkduplicates)
.IP SUPPLEMENTARY:
read is marked as supplementary alignment
.PP
.B resetaux=<0|1>:
auxiliary fields (default).
.PP
.B resetsortorder=<0|1>:
set sort order to unknown if resetsortorder=1 (default) and leave as it is
in the input if resetsortorder=0.
.PP
.B auxfilter=<>:
comma separated list of aux tags to be kept if resetaux=0. If the key is not
set when resetaux=0, then all tags are kept.
.SH AUTHOR
Written by German Tischler.
.SH "REPORTING BUGS"
Report bugs to <germant@miltenyibiotec.de>
.SH COPYRIGHT
Copyright \(co 2009-2013 German Tischler, \(co 2011-2013 Genome Research Limited.
License GPLv3+: GNU GPL version 3 <http://gnu.org/licenses/gpl.html>
.br
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
